commit:     63f79d99720fb0445fa098a5a13af680d1f53480
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Fri Mar  6 14:44:44 2026 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Fri Mar  6 14:45:45 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=63f79d99

dev-tcltk/tcl3d: add 1.0.2

Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-tcltk/tcl3d/Manifest           |  1 +
 dev-tcltk/tcl3d/tcl3d-1.0.2.ebuild | 59 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/dev-tcltk/tcl3d/Manifest b/dev-tcltk/tcl3d/Manifest
index 40addba53b40..ecb5e357ac74 100644
--- a/dev-tcltk/tcl3d/Manifest
+++ b/dev-tcltk/tcl3d/Manifest
@@ -1 +1,2 @@
 DIST tcl3d-0.9.5.7z 1776479 BLAKE2B 
c6437073a36405cec8ffaece93e70996109de709c1bf8158a01e7fcc6b085e26ab361d30cbf09f0895761c220d83771beca26eff19f167c0c6c7a60b0965aa25
 SHA512 
deb21a48b672cc804723a4e8e8c01dee5ed706cb30011e59b532f791317a4620ab8363cf2db9aef802397439b515db54c46d2662513131d0771bc577cde17a11
+DIST tcl3d-1.0.2.7z 1768024 BLAKE2B 
f6a4e9968327c9fc3a4463747072a8f5df639d5e8ffb9da0caef9f8af8dd7146b8ab213ed0b34576965e0bae426ec17f1c828b0a6c3ab789e1eb602da60cae13
 SHA512 
3605667eac34926db562122422547abd9e2d45cc4913fdf621ab54920f8d0718aa87af7d68d94dfce61b8d83ada5d09e2a98a75ae0f8f77a26228fdca90d90f9

diff --git a/dev-tcltk/tcl3d/tcl3d-1.0.2.ebuild 
b/dev-tcltk/tcl3d/tcl3d-1.0.2.ebuild
new file mode 100644
index 000000000000..8e3b9f0ecc2a
--- /dev/null
+++ b/dev-tcltk/tcl3d/tcl3d-1.0.2.ebuild
@@ -0,0 +1,59 @@
+# Copyright 2024-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic cmake unpacker
+
+DESCRIPTION="Tcl bindings to OpenGL and other 3D libraries"
+HOMEPAGE="http://www.tcl3d.org";
+SRC_URI="https://www.tcl3d.org/download/distributions/${P}.7z";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="sdl truetype"
+
+RDEPEND="dev-lang/tcl:=
+       dev-lang/tk:0=
+       x11-libs/libX11
+       x11-libs/libXrandr
+       virtual/opengl
+       virtual/glu
+       truetype? ( media-libs/ftgl )
+       sdl? ( media-libs/libsdl )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       dev-lang/swig
+       $(unpacker_src_uri_depends)
+"
+
+src_prepare() {
+       sed -i \
+               -e "s|FTGLGlyph|FTGlyph|" \
+               tcl3dFTGL/swigfiles/ftgl.i \
+               || die
+       cmake_src_prepare
+}
+
+src_configure() {
+       local _TCL_V=( $(echo 'puts [info tclversion]' | tclsh | tr '.' ' ') )
+       local _TCL_FV="${_TCL_V[0]}.${_TCL_V[1]}"
+
+       local tkPath=/usr/$(get_libdir)/tk${_TCL_FV}/include
+
+       append-cppflags -I${tkPath}/generic -I${tkPath}/unix \
+               -I"${BUILD_DIR}" \
+               $(pkg-config freetype2 --cflags) \
+               $(pkg-config sdl --cflags)
+
+       local mycmakeargs=(
+               -Wno-dev
+               -DTCL3D_BUILD_OGL=Yes
+               -DTCL3D_BUILD_GAUGES=Yes
+               -DTCL3D_BUILD_GL2PS=Yes
+               -DTCL3D_BUILD_FTGL=$(usex truetype)
+               -DTCL3D_BUILD_SDL=$(usex sdl)
+       )
+       cmake_src_configure
+}

Reply via email to